Filezilla crash drag and drop crash in gnome-shell

Bug #886315 reported by hhlp on 2011-11-04
This bug report is a duplicate of:  Bug #470799: filezilla crashes on drag'n'drop. Edit Remove
This bug affects 14 people
Affects Status Importance Assigned to Milestone
filezilla (Ubuntu)

Bug Description

1.- i use ubuntu 11.10 32 bits

2.- install gnome-shell then i install filezilla

execute filezilla connect to any server and try to drag and drop a file to the server...

result :

  Installed: 3.5.0-0ubuntu1
  Candidate: 3.5.0-0ubuntu1
  Version table:
 *** 3.5.0-0ubuntu1 0
        500 oneiric/universe i386 Packages
        100 /var/lib/dpkg/status

3.- permit drag and drop a file easy...

there is a work around >

select the file you want to transfer ... add to queue and process the queue

4.- segmentation fault

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: filezilla 3.5.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
ApportVersion: 1.23-0ubuntu4
Architecture: i386
Date: Fri Nov 4 19:02:11 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
 PATH=(custom, no user)
SourcePackage: filezilla
UpgradeStatus: No upgrade log present (probably fresh install)

hhlp (hhlp-deactivatedaccount) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in filezilla (Ubuntu):
status: New → Confirmed
achim (accs) wrote :

This Blogpost has a workaround

This post is for natty but it's the same problem with oneiric.
wxwidgets is still version 2.8.11

I manually downloaded and installed the following packages in this order from the natty-repository because there is no oneiric repo:

(you may have to install libesd0, too)

there is also a i386 repo

Now drag and drop works!

I have the same problem on 64 bit Ubutnu and I have a serious question now

Since several releases Filezilla ist absolutely unstable and nearly unusable with Ubuntu.
Why must I manually install files from an external reposity in order to get this fixed?

This is not only an effect its a serious BUG

Sorry... but enough is enough: As soon as my time allows it, I will switch back to Debian.

cablop (cablop) wrote :

also occurs in 64bit ubuntu

fasoi (miquel6) wrote :

I confirm the same bug in Ubuntu 11.10 64 bits, I've installed the latest wxWidgets (8.12) and still doesn't work

Mauro (jasmines) wrote :

It depends on wxwidgets version. You should install 2.8.12, instead of 2.8.11 provided in Oneiric official repos.
Find the source on (you'll have to compile it by yourself) or type the following in a terminal:

sudo add-apt-repository ppa:n-muench/programs-ppa
sudo apt-get update
sudo apt-get upgrade


To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers